:root{
    --bg-color: #1b1b1b;
    --light-color: #ffffff;
    --gold-color: #ffac1a;
    --dark-color: #000000;
    --light-ash: #dbdad6;
}
* {
    margin: 0;
    padding: 0;
    font-family: 'Montserrat', sans-serif;
}
body{
    width: 1200px;
    margin: auto;
   
    background: var(--bg-color);
    
}
.header{
    width: 1200px;
    height: 80px;
    background: var(--dark-color);
    border-bottom: 2px solid var(--gold-color);
    
    


}
.nav{
    margin-left: 197px;
    display: flex;
    justify-content: space-between;
    
    

}
.navlinks{
    margin-right: 45px;

}
span{
    background: var(--gold-color);
    padding: 9px;
    border-radius: 10px;
    transition: 0.2s;
}
span:hover{
    background: transparent;
}
.navlinks ul li{
    list-style: none;
    display: inline-block;
    padding: 2px 12px;
    margin-top: 26px;

}
.navlinks ul li a{
    text-decoration: none;
    color: var(--light-color);

}
.navlinks ul li::after{
    content: '';
    width: 0%;
    height: 2px;
    background: var(--gold-color);
    display: block;
    margin: auto;
    transition: 0.5s;
}
.navlinks ul li:hover::after{
    width: 100%;
}
/* -----------title---------- */
.title{
    height: 50px;
    background: transparent;
    border-left: 5px solid var(--gold-color);
    border-right: 5px solid var(--gold-color);
    border-bottom: 6px solid var(--gold-color);
    margin-top: 10px;
    border-radius: 15px;

}
h1{
    font-size: 40px;
    font-weight: 600;
    color: var(--gold-color);
    margin-left: 120px;
    position: relative;
    

}
h3{
    color: var(--gold-color);
    background: linear-gradient(#141414,#292929);
    border-radius: 10px;
    border-bottom: 2px solid var(--gold-color);
    padding: 10px;
    font-size: 35px;
    font-weight: 800;
    text-align: center;
    margin-top: 10px;
}
.works{
    margin-top: 50px;
    display: flex;
    justify-content: space-between;
    
}

.design{
    flex-basis: 32%;
    border-radius: 10px;
    margin-bottom: 30px;
    height: 300px;
    position: relative;
    overflow: hidden;
}
.design img{
    width: 100%;
    display: block;
}
.d-1{
    transition: 0.4s;

}
.d-1:hover{
    transform: translateY(-10px);
    border-top: 5px solid var(--gold-color);
}
.d-2{
    transition: 0.4s;

}
.d-2:hover{
    transform: translateY(-10px);
    border-top: 5px solid var(--gold-color);
}
.d-3{
    transition: 0.4s;

}
.d-3:hover{
    transform: translateY(-10px);
    border-top: 5px solid var(--gold-color);
}
.layer{
    background:transparent;
    height: 100%;
    width: 100%;
    text-align: center;
    position: absolute;
    top: 0;
    left: 0;
    transition: 0.5s;
}
.layer:hover{
    background: #121212ac;
}

.layer h2{
    color: var(--light-color);
    width: 100%;
    font-size: 26px;
    font-weight: 500;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    position: absolute;
    opacity: 0;
    
}
.layer:hover h2{
    bottom: 47%;
    opacity: 1;
}
.btn{
    margin-bottom: 20px;
    text-align: center;
    
}
.btn a{
    text-decoration: none;
    color: var(--light-color);
    border: 1px solid var(--gold-color);
    background: var(--gold-color);
    padding: 5px 10px;
    border-radius: 10px;
    font-size: 15px;
    font-weight: 300;
    transition: 0.3s;
    

}
.btn a:hover{
    background: transparent;
    border: 1px solid var(--gold-color);
    color: var(--gold-color);
}
/* -------------learn ---------*/
.learn{
    background-image: url(portflio-img/banner.png);
    background-repeat: no-repeat;
    opacity: 50%;
    margin-top: 10px;
    text-align: center;
}
.learn img{
    width: 30%;
    position: relative;
    padding: 20px;
}
/*--------- footer -----------*/
.footer{
    width: 1200px;
    height: 80px;
    background-image: url(images/footer-bg.png);
    background-repeat: no-repeat;
    text-align: center;
    padding-top: 150px;
}
p1 {
    color: var(--light-color);
    
    font-size: 15px;
    font-weight: 200;
}
.media{
    margin-top: 5px;
    cursor: pointer;
    display: flex;
    justify-content: center;
    gap: 10px;
    
}
.icons {
    width: 20px;
    padding: 6px 12px;
}
.icon-1{
    transition: 0.5s;
    
}
.icon-1:hover{
    transform: translateY(-10px);
}
.icon-1{
    transition: 0.5s;
    
}
.icon-2:hover{
    transform: translateY(-10px);
}
.icon-2{
    transition: 0.5s;
    
}
.icon-2:hover{
    transform: translateY(-10px);
}
.icon-3{
    transition: 0.5s;
    
}
.icon-3:hover{
    transform: translateY(-10px);
}
.icon-4{
    transition: 0.5s;
    
}
.icon-4:hover{
    transform: translateY(-10px);
}
div p2{
    color: var(--gold-color);
     font-size: 12px;
    font-weight: 200;
}